NamedColorProfileParser
Date: 2016-04-28

org.apache.xmlgraphics.java2d.color.profile

## Class NamedColorProfileParser

- java.lang.Object
- - org.apache.xmlgraphics.java2d.color.profile.NamedColorProfileParser

-     public class NamedColorProfileParser
      extends java.lang.Object

  This class is a parser for ICC named color profiles. It uses Java's `ICC_Profile` class for parsing the basic structure but adds functionality to parse certain profile tags.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedColorProfileParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isNamedColorProfile(java.awt.color.ICC_Profile profile)` Indicates whether the profile is a named color profile.
    `NamedColorProfile` | `parseProfile(java.awt.color.ICC_Profile profile)` Parses a named color profile (NCP).
    `NamedColorProfile` | `parseProfile(java.awt.color.ICC_Profile profile, java.lang.String profileName, java.lang.String profileURI)` Parses a named color profile (NCP).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedColorProfileParser

          public NamedColorProfileParser()

  - ### Method Detail

    - #### isNamedColorProfile

          public static boolean isNamedColorProfile(java.awt.color.ICC_Profile profile)

      Indicates whether the profile is a named color profile.
      Parameters:
        `profile` - the color profile
      Returns:
        true if the profile is a named color profile, false otherwise

    - #### parseProfile

          public NamedColorProfile parseProfile(java.awt.color.ICC_Profile profile,
                                       java.lang.String profileName,
                                       java.lang.String profileURI)
                                         throws java.io.IOException

      Parses a named color profile (NCP).
      Parameters:
        `profile` - the profile to analyze
        `profileName` - Optional profile name associated with this color profile
        `profileURI` - Optional profile URI associated with this color profile
      Returns:
        an object representing the parsed NCP
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### parseProfile

          public NamedColorProfile parseProfile(java.awt.color.ICC_Profile profile)
                                         throws java.io.IOException

      Parses a named color profile (NCP).
      Parameters:
        `profile` - the profile to analyze
      Returns:
        an object representing the parsed NCP
      Throws:
        `java.io.IOException` - if an I/O error occurs